Create customerAsk AIpost https://www.pelcro.com/api/v1/core/customersCreate a new customer.Query Paramssite_idint32requiredThe unique identifier of the site associated with your account.Body ParamsemailstringThe customer's email address, which must be valid and under the same account. The email format is validated against RFC standards and DNS validations are performed to ensure it is deliverable. When not provided, at least one of the following attributes should be present: old_provider_id or display_name. Required for accounts with an active TAP payment gateway.skip_email_dns_validationsbooleanWhen set, the DNS validations performed on the email address are skipped.truefalsefirst_namestringThe customer's first name. If provided, must be a string containing a maximum of 255 characters. Required for accounts with an active TAP payment gateway.last_namestringThe customer's last name. If provided, must be a string containing a maximum of 255 characters. Required for accounts with an active TAP payment gateway.phonestringCustomer phone number. Non-numeric characters are stripped. Resulting digits must be between 5 and 20.tele_marketingbooleanWhether the customer has authorized receiving telemarketing communications.truefalsemail_marketingbooleanWhether the customer has authorized receiving email marketing communications.truefalseemail_hardbouncebooleanA boolean on whether delivery attempts on the customer's email address result in permanent failures (ie: hard bounces).truefalsemetadataobjectSet of key-value pairs for storing additional information about the customer in a structured format.metadata objectold_provider_idstringThe unique identifier of this customer from the previous provider. If provided, must be unique under the same account. If email is not provided, either this attribute or display_name is required.display_namestringThe customer's display name. If provided, must be a string containing a maximum of 100 characters. If email is not provided, either this attribute or old_provider_id is required.organizationstringThe customer's organization. If provided, must be a string containing a maximum of 255 characters.is_importedbooleanWhether this customer was imported from an external system.truefalsetinstringThe customer's tax identification number.passwordstringThe customer password. If provided, must match the password_bcrypt algorithm format by default, unless specified otherwise via password_type attribute.password_typestringenumThe algorithm used on the provided password string. One of: plain_text, password_bcrypt, md5, drupal_v8.2.x, bcrypt_wordpress, crypt.plain_textpassword_bcryptmd5drupal_v8.2.xbcrypt_wordpresscryptAllowed:plain_textpassword_bcryptmd5drupal_v8.2.xbcrypt_wordpresscryptusernamestringThe customer's username. If provided, must be a string containing a maximum of 100 alpha-numeric characters in the ASCII range (0-9, a-z, A-Z), dashes or underscores.titlestringThe customer's title. If provided, must be a string containing a maximum of 255 characters.salutationstringThe customer's salutation. If provided, must be a string containing a maximum of 255 characters.timezonestringThe customer's time zone. If provided, must be a valid identifier or alias, see list of supported values.languagestringenumThe customer's language as a two-letter code, defined by ISO 639-1 standard.enfritkoesAllowed:enfritkoespayment_gateway_idstringThe unique identifier for customer on your current payment gateway provider (e.g. Stripe). You can pass this identifier during a migration in-order to import the customer's payment methods from the payment gateway so that you can re-create the subscriptions using the payment methods. Once imported from the gateway, you can find the default source in the customer list API endpoint which can be used to re-create the subscriptions.import_payment_methodsbooleanA boolean on whether to import payment methods associated with the provided payment_gateway_id from the current payment gateway provider. This is used to import the payment methods during a migration in order to re-create the subscriptions using those payment methods.This capability is only available for accounts having an active stripe payment gateway.truefalseprofile_photofileSquare image, minimum 150x150px. Accepted formats: jpg, png, jpeg, jfif.email_confirmbooleanWhen true, marks the customer's email as verified (skips email confirmation flow).truefalsebilling_emailstringThe customer's billing email.HeadersAuthorizationstringrequiredDefaults to Bearer eyJ***Responses 200Success. 400Invalid request. 401Unauthenticated.Updated 2 days ago